subversion-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Hyrum K Wright <hy...@hyrumwright.org>
Subject Re: svn commit: r1068750 - /subversion/trunk/configure.ac
Date Wed, 09 Feb 2011 03:44:57 GMT
Did you mean to commit a deletion of the back (I'm guessing 50) lines
of the file?

-Hyrum

On Tue, Feb 8, 2011 at 9:41 PM,  <danielsh@apache.org> wrote:
> Author: danielsh
> Date: Wed Feb  9 03:41:58 2011
> New Revision: 1068750
>
> URL: http://svn.apache.org/viewvc?rev=1068750&view=rev
> Log:
> * configure.ac:
>   Make non-C89 middle-of-block declarations a fatal error in maintainer mode.
>
> Modified:
>    subversion/trunk/configure.ac
>
> Modified: subversion/trunk/configure.ac
> URL: http://svn.apache.org/viewvc/subversion/trunk/configure.ac?rev=1068750&r1=1068749&r2=1068750&view=diff
> ==============================================================================
> --- subversion/trunk/configure.ac (original)
> +++ subversion/trunk/configure.ac Wed Feb  9 03:41:58 2011
> @@ -903,7 +903,7 @@ AS_HELP_STRING([--enable-maintainer-mode
>         CFLAGS_KEEP="$CFLAGS"
>         AC_LANG_PUSH([C])
>
> -        CFLAGS="-Wdeclaration-after-statement $CFLAGS_KEEP"
> +        CFLAGS="-Werror=declaration-after-statement $CFLAGS_KEEP"
>         AC_COMPILE_IFELSE([AC_LANG_SOURCE([[]])], [CFLAGS_KEEP="$CFLAGS"])
>
>         CFLAGS="-Wextra-tokens $CFLAGS_KEEP"
> @@ -954,331 +954,3 @@ AS_HELP_STRING([--disable-full-version-m
>     if test "$enableval" = "no" ; then
>       AC_MSG_NOTICE([Disabling svn full version matching])
>       AC_DEFINE(SVN_DISABLE_FULL_VERSION_MATCH, 1,
> -                [Defined if the full version matching rules are disabled])
> -    fi
> -])
> -
> -AC_ARG_WITH(editor,
> -AS_HELP_STRING([--with-editor=PATH],
> -               [Specify a default editor for the subversion client.]),
> -[
> -
> -    if test "$withval" = "yes" ; then
> -      AC_MSG_ERROR([--with-editor requires an argument.])
> -    else
> -      SVN_CLIENT_EDITOR=$withval
> -      AC_DEFINE_UNQUOTED(SVN_CLIENT_EDITOR, "$SVN_CLIENT_EDITOR",
> -                         [The path of a default editor for the client.])
> -
> -    fi
> -
> -])
> -
> -SVN_LIB_Z
> -
> -MOD_ACTIVATION=""
> -AC_ARG_ENABLE(mod-activation,
> -AS_HELP_STRING([--enable-mod-activation],
> -               [Enable mod_dav_svn in httpd.conf]),
> -[
> -    if test "$enableval" = "yes" ; then
> -      MOD_ACTIVATION="-a"
> -      AC_MSG_NOTICE([Enabling apache module activation])
> -    else
> -      AC_MSG_NOTICE([Disabling apache module activation])
> -    fi
> -])
> -AC_SUBST(MOD_ACTIVATION)
> -
> -
> -
> -AC_ARG_ENABLE(gprof,
> -AS_HELP_STRING([--enable-gprof],
> -               [Produce gprof profiling data in 'gmon.out' (GCC only).]),
> -[
> -    if test "$enableval" = "yes" ; then
> -      dnl Probably other compilers support -pg or something similar;
> -      dnl feel free to extend this to include them.
> -      if test "$GCC" = "yes"; then
> -        if test "$svn_enable_shared" = "yes" ; then
> -          AC_MSG_ERROR([Can't have --enable-gprof without --disable-shared (we
> -                        recommend also using --enable-all-static).])
> -        fi
> -        if test ! "$enable_all_static" = "yes" ; then
> -          AC_MSG_WARN(We recommend --enable-all-static with --enable-gprof.)
> -        fi
> -        AC_MSG_NOTICE([Enabling gprof profiling data (to gmon.out).])
> -        CFLAGS="$CFLAGS -pg"
> -        CXXFLAGS="$CXXFLAGS -pg"
> -        LT_LDFLAGS="$LT_LDFLAGS -pg"
> -      else
> -        AC_MSG_ERROR([We only support --enable-gprof with GCC right now.])
> -      fi
> -    fi
> -])
> -
> -
> -# Scripting and Bindings languages
> -
> -# Python: Used for testsuite, and bindings
> -
> -
> -PYTHON="`$abs_srcdir/build/find_python.sh`"
> -if test -z "$PYTHON"; then
> -  AC_MSG_WARN([Python 2.4 or later is required to run the testsuite])
> -  AC_MSG_WARN([or to use the Subversion Python bindings])
> -  AC_MSG_WARN([])
> -  AC_MSG_WARN([If you have a suitable Python installed, but not on the])
> -  AC_MSG_WARN([PATH, set the environment variable PYTHON to the full path])
> -  AC_MSG_WARN([to the Python executable, and re-run configure])
> -fi
> -AC_PATH_PROGS(PYTHON, "$PYTHON", none)
> -
> -# The minimum version for the JVM runtime for our Java bytecode.
> -JAVA_OLDEST_WORKING_VER='1.5'
> -# SVN_CHECK_JDK sets $JAVA_CLASSPATH
> -SVN_CHECK_JDK($JAVA_OLDEST_WORKING_VER)
> -
> -AC_PATH_PROG(PERL, perl, none)
> -
> -AC_PATH_PROGS(RUBY, ruby ruby1.8, none)
> -if test "$RUBY" != "none"; then
> -  if "$RUBY" -r mkmf -e 'exit(have_func("rb_hash_foreach") ? 0 : 1)'; then
> -    AC_PATH_PROG(RDOC, rdoc, none)
> -    AC_CACHE_CHECK([for Ruby major version], [svn_cv_ruby_major],[
> -    svn_cv_ruby_major="`$RUBY -rrbconfig -e 'print Config::CONFIG.fetch(%q(MAJOR))'`"
> -    ])
> -    RUBY_MAJOR="$svn_cv_ruby_major"
> -
> -    AC_CACHE_CHECK([for Ruby minor version], [svn_cv_ruby_minor],[
> -    svn_cv_ruby_minor="`$RUBY -rrbconfig -e 'print Config::CONFIG.fetch(%q(MINOR))'`"
> -    ])
> -    RUBY_MINOR="$svn_cv_ruby_minor"
> -
> -    AC_SUBST(RUBY_MAJOR)
> -    AC_SUBST(RUBY_MINOR)
> -  else
> -    RUBY="none"
> -    AC_MSG_WARN([The detected Ruby is too old for Subversion to use])
> -    AC_MSG_WARN([A Ruby which has rb_hash_foreach is required to use the])
> -    AC_MSG_WARN([Subversion Ruby bindings])
> -    AC_MSG_WARN([Upgrade to the official 1.8.2 release, or later])
> -  fi
> -fi
> -
> -SVN_CHECK_SWIG
> -
> -SVN_CHECK_CTYPESGEN
> -
> -dnl decide whether we want to link against the RA/FS libraries
> -AC_ARG_ENABLE(runtime-module-search,
> -AS_HELP_STRING([--enable-runtime-module-search],
> -               [Turn on dynamic loading of RA/FS libraries]),
> -[
> -    if test "$enableval" = "yes"; then
> -      use_dso=yes
> -      if test "$svn_enable_shared" = "no"; then
> -        AC_MSG_ERROR([--enable-runtime-module-search conflicts with --disable-shared])
> -      fi
> -      AC_DEFINE(SVN_USE_DSO, 1,
> -                [Defined if svn should try to load DSOs])
> -    fi
> -])
> -
> -if test "$svn_enable_shared" = "no" || test "$use_dso" != "yes"; then
> -  ### We want ra_local first to handle the following scenario:
> -  ### user has neon and db3 in /usr/local, and db4 in
> -  ### /usr/local/BerkeleyDB.4.0.  If libsvn_ra_neon.la comes before
> -  ### libsvn_fs.la then libtool ends up linking libsvn_fs to the db3
> -  ### in /usr/local/lib
> -  AC_DEFINE(SVN_LIBSVN_CLIENT_LINKS_RA_LOCAL, 1,
> -      [Defined if libsvn_client should link against libsvn_ra_local])
> -  svn_ra_lib_deps="\$(RA_LOCAL_DEPS)"
> -  svn_ra_lib_install_deps="install-ramod-lib"
> -  svn_ra_lib_link="\$(RA_LOCAL_LINK)"
> -
> -  AC_DEFINE(SVN_LIBSVN_CLIENT_LINKS_RA_SVN, 1,
> -      [Defined if libsvn_client should link against libsvn_ra_svn])
> -  svn_ra_lib_deps="$svn_ra_lib_deps \$(RA_SVN_DEPS)"
> -  svn_ra_lib_link="$svn_ra_lib_link \$(RA_SVN_LINK)"
> -
> -  if test "$svn_lib_neon" = "yes"; then
> -    AC_DEFINE(SVN_LIBSVN_CLIENT_LINKS_RA_NEON, 1,
> -          [Defined if libsvn_client should link against libsvn_ra_neon])
> -    svn_ra_lib_deps="$svn_ra_lib_deps \$(RA_NEON_DEPS)"
> -    svn_ra_lib_install_deps="$svn_ra_lib_install_deps install-neon-lib"
> -    svn_ra_lib_link="$svn_ra_lib_link \$(RA_NEON_LINK)"
> -  fi
> -
> -  if test "$svn_lib_serf" = "yes"; then
> -    AC_DEFINE(SVN_LIBSVN_CLIENT_LINKS_RA_SERF, 1,
> -          [Defined if libsvn_client should link against libsvn_ra_serf])
> -    svn_ra_lib_deps="$svn_ra_lib_deps \$(RA_SERF_DEPS)"
> -    svn_ra_lib_install_deps="$svn_ra_lib_install_deps install-serf-lib"
> -    svn_ra_lib_link="$svn_ra_lib_link \$(RA_SERF_LINK)"
> -  fi
> -
> -  SVN_RA_LIB_DEPS=$svn_ra_lib_deps
> -  SVN_RA_LIB_INSTALL_DEPS=$svn_ra_lib_install_deps
> -  SVN_RA_LIB_LINK=$svn_ra_lib_link
> -
> -  AC_DEFINE(SVN_LIBSVN_FS_LINKS_FS_FS, 1,
> -      [Defined if libsvn_fs should link against libsvn_fs_fs])
> -  svn_fs_lib_deps="\$(FS_FS_DEPS)"
> -  svn_fs_lib_install_deps="install-fsmod-lib"
> -  svn_fs_lib_link="\$(FS_FS_LINK)"
> -
> -  if test "$svn_lib_berkeley_db" = "yes"; then
> -  AC_DEFINE(SVN_LIBSVN_FS_LINKS_FS_BASE, 1,
> -      [Defined if libsvn_fs should link against libsvn_fs_base])
> -    svn_fs_lib_deps="$svn_fs_lib_deps \$(FS_BASE_DEPS)"
> -    svn_fs_lib_install_deps="$svn_fs_lib_install_deps install-bdb-lib"
> -    svn_fs_lib_link="$svn_fs_lib_link \$(FS_BASE_LINK)"
> -  fi
> -
> -  SVN_FS_LIB_DEPS=$svn_fs_lib_deps
> -  SVN_FS_LIB_INSTALL_DEPS=$svn_fs_lib_install_deps
> -  SVN_FS_LIB_LINK=$svn_fs_lib_link
> -fi
> -
> -AC_SUBST(SVN_RA_LIB_DEPS)
> -AC_SUBST(SVN_RA_LIB_INSTALL_DEPS)
> -AC_SUBST(SVN_RA_LIB_LINK)
> -AC_SUBST(SVN_FS_LIB_DEPS)
> -AC_SUBST(SVN_FS_LIB_INSTALL_DEPS)
> -AC_SUBST(SVN_FS_LIB_LINK)
> -
> -# ==== JavaHL ================================================================
> -
> -dnl Possibly compile JavaHL
> -do_javahl_build=no
> -AC_ARG_ENABLE(javahl,
> -  AS_HELP_STRING([--enable-javahl],
> -             [Enable compilation of Java high-level bindings (requires C++)]),
> -  [ if test "$enableval" = "yes" ; then
> -        do_javahl_build="yes"
> -    fi
> -  ])
> -
> -JAVAHL_OBJDIR=""
> -INSTALL_EXTRA_JAVAHL_LIB=""
> -FIX_JAVAHL_LIB=""
> -JAVAHL_TESTS_TARGET=""
> -JAVAHL_COMPAT_TESTS_TARGET=""
> -LT_CXX_LIBADD=""
> -if test "$do_javahl_build" = "yes"; then
> -  dnl Check for suitable JDK
> -  if test "$JDK_SUITABLE" = "no"; then
> -    AC_MSG_ERROR([Cannot compile JavaHL without a suitable JDK.
> -                  Please specify a suitable JDK using the --with-jdk option.])
> -  fi
> -
> -  dnl The temporary directory where libtool compiles libsvnjavahl.
> -  JAVAHL_OBJDIR='$(libsvnjavahl_PATH)/.libs'
> -
> -  os_arch=`uname`
> -  if test "$os_arch" = "Darwin"; then
> -    dnl On Darwin, JNI libs must be installed as .jnilib
> -    INSTALL_EXTRA_JAVAHL_LIB='ln -sf $(libdir)/libsvnjavahl-1.dylib $(libdir)/libsvnjavahl-1.jnilib'
> -    FIX_JAVAHL_LIB="ln -sf libsvnjavahl-1.dylib $JAVAHL_OBJDIR/libsvnjavahl-1.jnilib"
> -  fi
> -  # This segment (and the rest of r10800) is very likely unnecessary
> -  # with libtool 1.5, which automatically adds libstdc++ as a
> -  # dependency to the C++ libraries it builds.  So at some future time
> -  # when autogen.sh requires libtool 1.5 or higher, we can get rid of
> -  # it.
> -  AC_MSG_CHECKING([for additional flags to link C++ libraries])
> -  if test "x$ac_compiler_gnu" = "xyes"; then
> -    LT_CXX_LIBADD="-lstdc++"
> -    AC_MSG_RESULT([$LT_CXX_LIBADD])
> -  else
> -    AC_MSG_RESULT([none needed])
> -  fi
> -fi
> -AC_SUBST(INSTALL_EXTRA_JAVAHL_LIB)
> -AC_SUBST(JAVAHL_OBJDIR)
> -AC_SUBST(FIX_JAVAHL_LIB)
> -AC_SUBST(LT_CXX_LIBADD)
> -
> -AC_ARG_WITH(junit,
> -AS_HELP_STRING([--with-junit=PATH],
> -               [Specify a path to the junit JAR file.]),
> -[
> -    if test "$withval" != "no"; then
> -      if test -n "$JAVA_CLASSPATH"; then
> -        JAVA_CLASSPATH="$withval:$JAVA_CLASSPATH"
> -      else
> -        JAVA_CLASSPATH="$withval"
> -      fi
> -      JAVAHL_TESTS_TARGET="javahl-tests"
> -      JAVAHL_COMPAT_TESTS_TARGET="javahl-compat-tests"
> -    fi
> -])
> -AC_SUBST(JAVA_CLASSPATH)
> -AC_SUBST(JAVAHL_TESTS_TARGET)
> -AC_SUBST(JAVAHL_COMPAT_TESTS_TARGET)
> -
> -# ==== Miscellaneous bits ====================================================
> -
> -dnl Since this is used only on Unix-y systems, define the path separator as '/'
> -AC_DEFINE_UNQUOTED(SVN_PATH_LOCAL_SEPARATOR, '/',
> -        [Defined to be the path separator used on your local filesystem])
> -
> -AC_DEFINE_UNQUOTED(SVN_NULL_DEVICE_NAME, "/dev/null",
> -        [Defined to be the null device for the system])
> -
> -DEFAULT_FS_TYPE="fsfs"
> -AC_DEFINE_UNQUOTED(DEFAULT_FS_TYPE, "$DEFAULT_FS_TYPE",
> -                   [The fs type to use by default])
> -
> -# BSD/OS (BSDi) needs to use a different include syntax in Makefile
> -INCLUDE_OUTPUTS="include \$(top_srcdir)/build-outputs.mk"
> -case "$host" in
> -  *bsdi*)
> -    # Check whether they've installed GNU make
> -    if ! make --version > /dev/null 2>&1; then
> -      # BSDi make
> -      INCLUDE_OUTPUTS=".include \"\$(top_srcdir)/build-outputs.mk\""
> -    fi
> -    ;;
> -esac
> -AC_SUBST(INCLUDE_OUTPUTS)
> -
> -# ==== Detection complete - output and run config.status =====================
> -
> -AC_CONFIG_HEADERS(subversion/svn_private_config.h)
> -AC_CONFIG_COMMANDS([svn_private_config.h],
> -                   [$SED -e "s/@SVN_DB_HEADER@/$SVN_DB_HEADER/" subversion/svn_private_config.h
> subversion/svn_private_config.h.new
> -                    mv -f subversion/svn_private_config.h.new subversion/svn_private_config.h],
> -                   [SED="$SED"
> -                    SVN_DB_HEADER="$SVN_DB_HEADER"])
> -AC_CONFIG_FILES([Makefile])
> -
> -SVN_CONFIG_SCRIPT(tools/backup/hot-backup.py)
> -SVN_CONFIG_SCRIPT(tools/hook-scripts/commit-access-control.pl)
> -SVN_CONFIG_SCRIPT(subversion/bindings/swig/perl/native/Makefile.PL)
> -if test -e packages/solaris/pkginfo.in; then
> -  SVN_CONFIG_SCRIPT(packages/solaris/pkginfo)
> -fi
> -AC_SUBST(SVN_CONFIG_SCRIPT_FILES)
> -
> -AC_OUTPUT
> -
> -# ==== Print final messages to user ==========================================
> -
> -dnl Configure is long - users tend to miss warnings printed during it.
> -dnl Hence, print a warnings about what we did and didn't configure at the
> -dnl end, where people will actually see them.
> -
> -if test "$svn_lib_berkeley_db" = "no" && test "$with_berkeley_db" != "no"; then
> -  db_version="$SVN_FS_WANT_DB_MAJOR.$SVN_FS_WANT_DB_MINOR.$SVN_FS_WANT_DB_PATCH"
> -  AC_MSG_WARN([we have configured without BDB filesystem support
> -
> -
> -You don't seem to have Berkeley DB version $db_version or newer
> -installed and linked to APR-UTIL.  We have created Makefile which will build
> -Subversion without support for the Berkeley DB back-end.  You can find the
> -latest version of Berkeley DB here:
> -  http://www.oracle.com/technology/software/products/berkeley-db/index.html
> -])
> -fi
>
>
>

Mime
View raw message